=== debian/changelog ===
haskell-mode (17.2-3) unstable; urgency=medium

  * source only upload

 -- Thomas Koch <thomas@koch.ro>  Sun, 15 Nov 2020 22:52:31 +0100

haskell-mode (17.2-2) unstable; urgency=medium

  * disable failing test, see #973132

 -- Thomas Koch <thomas@koch.ro>  Sun, 15 Nov 2020 22:25:34 +0100

haskell-mode (17.2-1) unstable; urgency=medium

  * new upstream release
  * fix autopkgtest

 -- Thomas Koch <thomas@koch.ro>  Tue, 13 Oct 2020 21:28:53 +0200
