=== debian/control ===
Source: haskell-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders: Barak A. Pearlmutter <bap@debian.org>,
 Thomas Koch <thomas@koch.ro>
Rules-Requires-Root: no
Build-Depends:
    cabal-install,
    debhelper-compat (= 12),
    dh-elpa,
    ghc,
    haskell-stack,
    install-info,
    emacs | emacs25 | emacs24 | emacs-snapshot,
    texinfo
Standards-Version: 4.5.0
Homepage: https://github.com/haskell/haskell-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/haskell-mode.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/haskell-mode
Testsuite: autopkgtest-pkg-elpa

Package: elpa-haskell-mode
Architecture: all
Depends: emacs25 | emacs24 | emacs-snapshot | emacs, ${misc:Depends}
Suggests: stylish-haskell
Replaces: haskell-mode (<< 16.1-4)
Breaks: haskell-mode (<< 16.1-4), agda-mode (<< 2.3.2)
Recommends: ghc
Description: major mode for editing Haskell in Emacs
 A major mode for editing Haskell (the functional
 programming language) in Emacs.
 .
 Major features:
  - syntax highlighting (font lock),
  - automatic indentation,
  - on-the-fly documentation,
  - interaction with inferior ghci or hugs instance,
  - scans declarations and places them in a menu.

Package: haskell-mode
Architecture: all
Depends: elpa-haskell-mode, ${misc:Depends}
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.
