=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/haskell-mode-$1\.tar\.gz/ \
  https://github.com/haskell/haskell-mode/tags .*/v?(\d\S*)\.tar\.gz
