=== debian/changelog ===
haskell-mode (17.3-1) unstable; urgency=medium

  [ David Bremner ]
  * Clean up dependencies: remove emacs-snapshot (not in Debian), and
    replace "emacs" with ${elpa:Depends}.

  [ Barak A. Pearlmutter ]
  * New upstream release
  * Bump debhelper from old 12 to 13
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse
  * Fix day-of-week for changelog entry 1.44-3
  * Update standards version to 4.6.2, no changes needed
  * Modernise debian/watch uscan support file to version 4
  * Remove old UNRELEASED stanza due to debian/changelog merge error
  * Remove transitional package haskell-mode (closes: #1032751)
  * Install CONTRIBUTING.md into docs
  * Install upstream changelog where it belongs (lost in the ELPA transition)
  * Install the haskell logo under an appropriate name
  * Add patch to update some stray upstream version 17.2-git's to 17.3

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 02 Aug 2023 16:21:09 +0100

haskell-mode (17.2-5) unstable; urgency=medium

  * Team upload
  [ Nicholas D Steeves ]
  * Drop emacs24 and emacs25 from Build-Depends (packages do not exist
    in bullseye).

  [ David Bremner ]
  * Add git as build-dep. Bug fix: "Tests fail against Emacs 28.2", thanks
    to Sean Whitton (Closes: #1025812).

 -- David Bremner <bremner@debian.org>  Mon, 02 Jan 2023 07:38:18 -0400
