## haskell-mode 17.4

=== debian/changelog ===
haskell-mode (17.4-2) unstable; urgency=medium

  * Track upstream development, which pushed a different fix

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 06 Aug 2023 15:53:25 +0100

haskell-mode (17.4-1) unstable; urgency=medium

  * Track upstream, who is also working on the Emacs 29.1 test failure issue
  * Remove patches appropriately
  * Patch typo
  * New upstream release
  * Patch to remove bad redefinition of string-trim-left in test suite (closes: #1042890)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 06 Aug 2023 15:07:58 +0100
