=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	make info

execute_after_dh_install:
	-(cd debian/elpa-haskell-mode/usr/share/icons/locolor/scalable\
	  && mv --verbose logo.svg haskell.svg)

override_dh_installchangelogs:
	dh_installchangelogs NEWS
