=== debian/watch ===
version=4
https://github.com/haskell/haskell-mode/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
